Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		drbd
#Epoch:		0
Version:	8.3.7
Release:	1
License:	GNU/GPL
URL:		http://www.drbd.org/
Group:		System/Hardware/Configuration
Summary:	Distributed Replicated Block Device 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: flex-devel 
BuildRequires: udev

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: perl

%description
DRBD® refers to block devices designed as a building block to form high availability (HA) clusters. This is done by mirroring a whole block device via an assigned network. DRBD can be understood as network based raid-1. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--disable-debug \
--with-utils \
--with-udev \
--with-xen \
--with-pacemaker \
--with-heartbeat \
--with-bashcompletion \
--with-distro=generic

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/drbdadm
%{_sysconfdir}/drbd.conf
%{_sysconfdir}/drbd.d/global_common.conf
%{_sysconfdir}/ha.d/resource.d/drbddisk
%{_sysconfdir}/ha.d/resource.d/drbdupper
%{_sysconfdir}/init.d/drbd
%{_sysconfdir}/udev/rules.d/65-drbd.rules
%{_sysconfdir}/xen/scripts/block-drbd
/sbin/drbdadm
/sbin/drbdmeta
/sbin/drbdsetup
%{_libdir}/drbd
%{_libdir}/ocf/resource.d/linbit/drbd
%{_sbindir}/drbd-overview
%{_mandir}/man5/drbd.conf.5.gz
%{_mandir}/man8/drbd.8.gz
%{_mandir}/man8/drbdadm.8.gz
%{_mandir}/man8/drbddisk.8.gz
%{_mandir}/man8/drbdmeta.8.gz
%{_mandir}/man8/drbdsetup.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 17 2010  8.3.7-1
- initial CCux package release
